Forums

Unfortunately no one can be told what FluxBB is - you have to see it for yourself.

You are not logged in.

#51 2013-02-26 21:38:27

Franz
Lead developer
From: Germany
Registered: 2008-05-13
Posts: 5,857
Website

Re: [PLUGIN] Mod Installer

They shouldn't be. Can you list where you uploaded which files? All plugin files start either with "AP_" or "AMP_" and end with ".php".


fluxbb.de | develoPHP

"As code is more often read than written it's really important to write clean code."

Offline

#52 2013-02-27 10:01:31

Otomatic
FluxBB Donor
From: Paris - France
Registered: 2010-01-26
Posts: 473
Website

Re: [PLUGIN] Mod Installer

Hi,

The package "Mod Installer" is the file "mod-installer-plugin_v1.0.12.zip" which, once unzipped, shows a file "modinst_readme.txt.
In this file there is :

For installation / Pour installation :
- See modinst_x.y.z/readme.txt file
  x.y.z is the version number of Mod Installer

In the file "modinst_1.0.12\readme.txt" there are explanations, among other things, how and where to copy the files:

#--[ 1. UPLOAD THE CONTENT OF - ENVOYER LE CONTENU DE]--------------------

/files/		to		/your_forum_folder/

 Examples : your_forum_folder/plugins/AP_Mod_Installer.php
            your_forum_folder/plugins/mod_installer/plugin_config.php
            your_forum_folder/plugins/mod_installer/lang/English/plugin_admin.php
            
 Nota : It is only an example, there are more files to upload.

Ce n'est pas parce que l'erreur se propage qu'elle devient vérité. Ghandi
An error does not become truth by reason of multiplied propagation. Ghandi

Offline

#53 2013-02-27 13:56:18

FistofDeath
Member
Registered: 2013-02-21
Posts: 11

Re: [PLUGIN] Mod Installer

Actually, I just got some help on another forum, and I have the Mod Installer in the Plugins menu, but it reads

"No modification corresponds to Mod Installer criteria.
MODINST version: 1.0.12 on 2013-02-23 by Otomatic - Fluxbb.fr"

Do I need to download the mods, or upload them to the file manager, or what?

Offline

#54 2013-02-27 14:42:32

Otomatic
FluxBB Donor
From: Paris - France
Registered: 2010-01-26
Posts: 473
Website

Re: [PLUGIN] Mod Installer

Hi,

"No modification corresponds to Mod Installer criteria.

I think this quote is sufficient in itself.
In the readme.txt file it is noted :

##      Description:  Allows the installation and uninstallation of FluxBB mod's
##                    with one click. Mods files must meet several criteria. (Details below)
...
----- English -----
This Mod Installer package has five mods included:
- No Announce For Guest (NAFG)
  If installed, will not show the announce for guests.
- No UserList In Navbar (NULIN)
  If installed, will not show User List item in Menu
- Forum And Topic Actions In Header (FATAIH)
  If installed, will display the possible actions on the forums
  and discussions in the header, in addition to the display at the bottom.
- No Statitics For Guests (NSFG)
  If installed, will not show the statistics of the forum for guests.
- Suppress Messaging Section In Profile (SMSIP)
  If installed, will not show Messaging Section In Profile

It is therefore imperative to install mods that have been specially prepared to be installed by "Mod Installer"
In addition to those described above, there are:
- DATLOC (Dates Localization)
- RMO (Reverse Message Order)
- VSABR (Very Simple Anti Bot registration)
and another one written by Adaur :
- APMS (Another Private Messaging - Topic System)

All these "mods" were written for my own use on my forums.
I made a great effort to make them accessible to all and I would like, in return, users read the documentation files.


Ce n'est pas parce que l'erreur se propage qu'elle devient vérité. Ghandi
An error does not become truth by reason of multiplied propagation. Ghandi

Offline

#55 2013-03-04 18:58:06

Studio384
Developer
From: Belgium
Registered: 2012-04-11
Posts: 642
Website

Re: [PLUGIN] Mod Installer


FluxBB Community Benelux - ModernBB 3.4
Profile Plus: A new FluxBB profile interface

Offline

#56 2013-03-19 09:35:15

sleazoid
New member
Registered: 2013-03-19
Posts: 1

Re: [PLUGIN] Mod Installer

I copied all files to plugin folder, I can see menu link on the lef but after cliking the blang page is displayed. I installed other plugin (i.e. ezbbc and it works).

Offline

#57 2013-08-15 15:20:09

Otomatic
FluxBB Donor
From: Paris - France
Registered: 2010-01-26
Posts: 473
Website

Re: [PLUGIN] Mod Installer

Hi,

New version of Mod Installer
Version 1.0.13 - August 15 2013
OK for FluxBB 1.4.6 - 1.4.7 - 1.4.8 - 1.5.0 - 1.5.1 - 1.5.2 - 1.5.3 - 1.5.4

This new version is only needed for FluxBB 1.5.4.
For "Mod Installer" only, you can overwrite the old files.
If one of the mods: FATAIH, NAFG, NSFG, NULIN or SMSIP is installed, it is necessary to uninstall them before overwrite old files.


Ce n'est pas parce que l'erreur se propage qu'elle devient vérité. Ghandi
An error does not become truth by reason of multiplied propagation. Ghandi

Offline

#58 2013-11-18 16:38:31

Otomatic
FluxBB Donor
From: Paris - France
Registered: 2010-01-26
Posts: 473
Website

Re: [PLUGIN] Mod Installer

Hi,

New version of Mod Installer
Version 1.0.14 - November 18 2013
OK for FluxBB 1.4.6, 1.4.7, 1.4.8, 1.5.0, 1.5.1, 1.5.2, 1.5.3, 1.5.4, 1.5.5

This new version is only needed for FluxBB 1.5.5.
For "Mod Installer" only, you can overwrite the old files.
If one of the mods: FATAIH, NAFG, NSFG, NULIN or SMSIP is installed, it is necessary to uninstall them before overwrite old files.
All mods installed by Mod Installer must be uninstalled before updating to a new version of FluxBB.


Ce n'est pas parce que l'erreur se propage qu'elle devient vérité. Ghandi
An error does not become truth by reason of multiplied propagation. Ghandi

Offline

#59 2014-01-09 13:51:29

Otomatic
FluxBB Donor
From: Paris - France
Registered: 2010-01-26
Posts: 473
Website

Re: [PLUGIN] Mod Installer

Hi,

New version of Mod Installer
Version 1.0.15 - January 09 2014
OK for FluxBB 1.4.6, 1.4.7, 1.4.8, 1.5.0, 1.5.1, 1.5.2, 1.5.3, 1.5.4, 1.5.5, 1.5.6

This new version is only needed for FluxBB 1.5.6.
For "Mod Installer" only, you can overwrite the old files.
If one of the mods: FATAIH, NAFG, NSFG, NULIN or SMSIP is installed, it is necessary to uninstall them before overwrite old files.
All mods installed by Mod Installer must be uninstalled before updating to a new version of FluxBB.


Ce n'est pas parce que l'erreur se propage qu'elle devient vérité. Ghandi
An error does not become truth by reason of multiplied propagation. Ghandi

Offline

#60 2014-02-12 20:59:53

Jack
Member
Registered: 2010-12-24
Posts: 458
Website

Re: [PLUGIN] Mod Installer

Hi Otomatic,

here is the Italian version, if you need it smile

<?php
// Admin language string for plugin Mod Installer

//Plugin di amministrazione
$lang_installer_admin = array(
  //Mod Installer part
  'Explanation'         =>  'Questo plugin permette l\'installazione e disinstallazione di alcune estensioni per FluxBB che rispettano determinati criteri.<br />Per maggiori dettagli, consultare il file <em>readme.txt</em> di questo plugin.',
  'Date format'         =>  'Y/m/d \a\l\l\e H:m',
  'Mod name'            =>  'Nome estensione',
  'Form title'          =>  'Informazioni e azioni',
  'Plugin legend text'  =>  'Lista di estensioni',
  'Plugin version'      =>  'versione %s del %s di %s',
  'Mod installed'       =>  'Installata',
  'Mod not installed'   =>  'Non installata',
  'Change'              =>  'Modificare',
  'Status'              =>  'Stato',
  'Action'              =>  'Azione',
  'Return'              =>  'Tornare a Mod Installer',
  'No mod found'        =>  'Non &egrave; presente alcuna estensione compatibile coi criteri di Mod Installer.',

  //Installazione/disinstallazione delle estensioni
  'Plugin removed'      =>  'L\'estensione %s non &egrave; installata.',
  'Plugin wrong installation'  =>  'L\'estensione non &egrave; installata o &egrave; installata scorrettamente. File: %s (stringa #%d di %d)',
  'Plugin wrong count'  =>  'L\'estensione non &egrave; installata o &egrave; installata scorrettamente. File: %s (stringa #%d di %d trovata %d volte)',
  'Plugin in action'    =>  'L\'estensione %s &egrave; installata nel file: %s',
  'Not writable'        =>  'Il file <em>%s</em> deve avere i permessi in scrittura per effettuare l\'installazione o disinstallazione. Cambiare i permessi di scrittura del file per portare a termine l\'operazione.', 
  'Not correct install' =>  'Il file <em>%s</em> non pu&ograve; essere modificato con successo. Potrebbe essere stato oggetto di modifica rispetto all\'originale. La stringa numero %d non &egrave; stata trovata',
  'Not correct uninstall' =>  'Il file <em>%s</em> non pu&ograve; essere modificato con successo. Potrebbe essere stato oggetto di modifica dopo l\'installazione. La stringa numero %d non &egrave; stata trovata',
  'Not correct count'   =>  'Il file <em>%s</em> non pu&ograve; essere modificato con successo. La stringa numero %d &egrave; stata trovata %d volte.',
  'Installed'           =>  'Il file di configurazione dell\'estensione %s indica <em>Installata</em>',
  'Not installed'       =>  'Il file di configurazione dell\'estensione %s indica <em>Non installata</em>',
  'Install OK'          =>  'L\'estensione %s appare installata correttamente.',
  'May install'         =>  '&Egrave; possibile installare l\'estensione senza problemi',
  'Legend text'         =>  'Informazioni sullo stato dell\'estensione.',
  'Mod version'         =>  'Versione: %s del %s di %s',
  'Installation date'   =>  'Prima installazione di questa versione del plugin del %s',
  'Plugin status'       =>  'Stato dell\'estensione:',
  'Plugin warning'      =>  '<strong>Attenzione:</strong> L'\estensione installata non &egrave; progettata per supportare specificamente la versione attualmente installata di FluxBB (%s). L'\estensione supporta le versioni: %s. In caso di dubbio sui potenziali conflitti che potrebbero verificarsi, contattare prima l\'autore dell\'estensione.',
  'Version warning'     =>  '<strong>Attenzione:</strong> L\'estensione che si desidera installare non &egrave; progettata per supportare specificamente la versione attualmente installata di FluxBB (%s). Questa estensione supporta le versioni: %s. In caso di dubbio sui potenziali conflitti che potrebbero verificarsi, contattare prima l\'autore dell\'estensione.',
  'Install'             =>  'Installare l\'estensione',
  'Remove'              =>  'Rimuovere l\'estensione',
  'Readme'              =>  'Creare file di installazione',
  'Readme file'         =>  'Il file di installazione <em><a href="%1$s">%1$s</a></em> &egrave; stato creato',
  'Database mod'        =>  'Database modificato',
  'Database uninstall'  =>  'Durante la disinstallazione si desidera anche:',
  'Database fields'     =>  'Eliminare le colonne <em>%s</em> dalla tabella <em>%s</em>?',
  'Database values'     =>  'Eliminare i valori <em>%s</em> dalla tabella <em>%s</em>?',
);

?>

thanks!
J

Last edited by Jack (2014-02-12 21:03:43)


Sorry I don't speak English smile
FluxBB Italy

Offline

#61 2014-02-13 09:22:35

Otomatic
FluxBB Donor
From: Paris - France
Registered: 2010-01-26
Posts: 473
Website

Re: [PLUGIN] Mod Installer

Hi,

Thank you, the Italian language file will be included in the next version of "Mod Installer".
I have a little bit of Italian blood in my veins. My grandfather was born in Turin in 1874.


Ce n'est pas parce que l'erreur se propage qu'elle devient vérité. Ghandi
An error does not become truth by reason of multiplied propagation. Ghandi

Offline

#62 2014-10-20 14:29:07

Otomatic
FluxBB Donor
From: Paris - France
Registered: 2010-01-26
Posts: 473
Website

Re: [PLUGIN] Mod Installer

Hi,

New version of Mod Installer
Version 1.0.16 - October 20 2014
OK for FluxBB 1.4.6, 1.4.7, 1.4.8, 1.5.0, 1.5.1, 1.5.2, 1.5.3, 1.5.4, 1.5.5, 1.5.6, 1.5.7
(Not tested with FluxBB 1.4.9 to 1.4.13 - Should not be a problem)

This new version is only needed for FluxBB 1.5.7.
For "Mod Installer" only, you can overwrite the old files.
If one of the mods: FATAIH, NAFG, NSFG, NULIN or SMSIP is installed, it is necessary to uninstall them before overwrite old files.
All mods installed by Mod Installer must be uninstalled before updating to a new version of FluxBB.

Last edited by Otomatic (2014-10-20 14:29:31)


Ce n'est pas parce que l'erreur se propage qu'elle devient vérité. Ghandi
An error does not become truth by reason of multiplied propagation. Ghandi

Offline

Board footer

Powered by FluxBB 1.5.7